Package org.kapott.hbci.dialog

## Class HBCIDialogFirstKeyRequest

- java.lang.Object
- - org.kapott.hbci.dialog.AbstractRawHBCIDialog
  - - org.kapott.hbci.dialog.AbstractRawHBCIDialogInit
    - - org.kapott.hbci.dialog.HBCIDialogFirstKeyRequest

All Implemented Interfaces:
  `RawHBCIDialog`

    public class HBCIDialogFirstKeyRequest
    extends AbstractRawHBCIDialogInit

Diese Klasse enthaelt den Request fuer die Abfrage der Bankensignatur.

### Constructor Summary

Constructors
`HBCIDialogFirstKeyRequest()` ct.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `applyData​(DialogContext ctx)` Befuellt die Daten fuer die Nachricht.
`protected HBCIMsgStatus` `sendData​(DialogContext ctx)` Default-Implementierung fuer den Versand.

### Methods inherited from class org.kapott.hbci.dialog.AbstractRawHBCIDialog

`checkResult, createSCARequest, execute, getActualTemplate, getSegmentVersion, getTemplate, setTemplate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HBCIDialogFirstKeyRequest

    public HBCIDialogFirstKeyRequest()

ct.

### Method Detail

#### applyData

    protected void applyData​(DialogContext ctx)

Description copied from class: `AbstractRawHBCIDialog`
Befuellt die Daten fuer die Nachricht.

Overrides:
  `applyData` in class `AbstractRawHBCIDialogInit`
Parameters:
  `ctx` - der Kontext.
See Also:
  `AbstractRawHBCIDialog.applyData(org.kapott.hbci.dialog.DialogContext)`

#### sendData

    protected HBCIMsgStatus sendData​(DialogContext ctx)

Description copied from class: `AbstractRawHBCIDialog`
Default-Implementierung fuer den Versand. Verschluesselung und Signierung findet nur statt, wenn es kein anonymer Dialog ist.

Overrides:
  `sendData` in class `AbstractRawHBCIDialog`
Parameters:
  `ctx` - der Kontext.
Returns:
  die Ergebnis-Daten.
See Also:
  `org.kapott.hbci.dialog.AbstractHBCIDialogInit#sendData(org.kapott.hbci.dialog.DialogContext)`